// Copyright 2000, 2001, 2002, 2003 Macromedia, Inc. All rights reserved.

//---------------     API FUNCTIONS    ---------------

function isDOMRequired() { 
	// Return false, indicating that this object is available in code view.
	return false;
}

function isAsset() {
	return true;
}

function objectTag(assetArgs) {
  var bDialogState = dw.getShowDialogsOnInsert(); // Was dialog shown?
  var newURL = dw.doURLEncoding(browseForFileURL());
  
  if (assetArgs)
  	newURL  = assetArgs;
  if ((newURL == '')  && bDialogState) {  return ''; }
  
  // Return the html tag that should be inserted
  return '<EMBED SRC="' + newURL + '" WIDTH="32" HEIGHT="32"></EMBED>';

}

